This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 77396 - __libc_sigaction, version GLIBC_2.2 not defined
__libc_sigaction, version GLIBC_2.2 not defined
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-06 07:29 EST by christophe chevance
Modified: 2016-11-24 10:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-06 07:30:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description christophe chevance 2002-11-06 07:29:55 EST
Description of Problem:

When trying to use the program "fasta" from bioinformatics Accelrys GCG package  
I got a relocation error :

relocation error: ./fasta: symbol __libc_sigaction, version GLIBC_2.2 not
defined in file libc.so.6 with link time reference

Version-Release number of selected component (if applicable):
the last for GCG
glibc is 2.2.5-40

How Reproducible:
Always

Steps to Reproduce:
1.get fasta program from GCG package
 
2. run it :
   ./fasta
      
3. see result
 

Actual Results:
./fasta: relocation error: ./fasta: symbol __libc_sigaction, version GLIBC_2.2
not defined in file libc.so.6 with link time reference

Expected Results: 
Should be on unconfigured host :
 Configuration error.  Unable to open "GenCoreRoot:gcgcore/account/configure.txt".
Configuration problem: can't find GCGBASEROOT
Contact your system manager.

Additional Information:	
This binary works OK with all others 7.x RedHat Linux

The problem seem to come from glibc :
on RedHat 7.2
$ readelf -s  libc.so.6 |grep __libc_sigaction
    67: 0002ea14   306 FUNC    GLOBAL DEFAULT   11 __libc_sigaction@@GLIBC_2.2

on redHat 7.3
$ readelf -s  libc.so.6 |grep __libc_sigaction
    65: 000291e4   289 FUNC    GLOBAL DEFAULT   11 __libc_sigaction@@GLIBC_PRIVATE

and not expected GLIBC_2.2
Comment 1 Jakub Jelinek 2002-11-06 07:41:50 EST
__libc_sigaction always used to be a glibc private symbol, never declared in
any headers nor intended for anything but libpthread. Recent glibc's use symbol
versioning to make it clear what is and what is not a private interface.
fasta needs to be fixed to avoid using internal interfaces which can be removed
or changed at any time.

Note You need to log in before you can comment on or make changes to this bug.